U++ - Bug #1080
cpp: this dosen’t show private variable
05/16/2015 07:01 PM - Zbigniew Rebacz

Status: Approved Start date: 05/16/2015
Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%
Category: IDE Estimated time: 0.00 hour
Target version: Release 2017.1 Spent time: 0.00 hour
Description

Sometimes | need to use this to get class variable, but assist dosen't show private variables.

Example:

void Jdk::SetPath(const String& path)

{
this->path = path;

}

P.S.
Code is fully c++ compatible.

History

#1 - 05/17/2015 02:47 PM - Miroslav Fidler

Please, specify whether this is about new parser (or old one).

#2 - 05/17/2015 10:47 PM - Zbigniew Rebacz

For both: new and old. | haven't reported it before, because it is cossmetics issue.

#3 - 06/08/2015 08:05 PM - Zbigniew Rebacz
- Status changed from New to Approved

#4 - 06/10/2015 09:01 PM - Zbigniew Rebacz
- Category set to IDE

- Status changed from Approved to In Progress
- Assignee set to Miroslav Fidler

It seems that private/protected variables don't work (Only public works).

#5 - 11/02/2015 09:04 PM - Zbigniew Rebacz
- Target version set to Release 2017.1

#6 - 11/02/2015 09:05 PM - Zbigniew Rebacz
| always use this-> with private variables.

#7 - 11/03/2015 12:10 AM - Miroslav Fidler
- Status changed from In Progress to Approved
